### MATLAB_SBML_STRUCTURE_FUNCTIONS\COMPARTMENTVOLUMERULE

The functions allow users to create and work with the SBML CompartmentVolumeRule structure.

Function are:

#### CompartmentVolumeRule = CompartmentVolumeRule_create(level(optional), version(optional) )

Takes

1. level, an integer representing an SBML level (optional)
2. version, an integer representing an SBML version (optional)

Returns

1. a MATLAB_SBML CompartmentVolumeRule structure of the appropriate level and version

NOTE: the optional level and version preserve backwards compatibility a missing version argument will default to L1V2; L2V4 or L3V1 missing both arguments will default to L3V1

#### compartment = CompartmentVolumeRule_getCompartment(SBMLCompartmentVolumeRule)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure

Returns

1. the value of the compartment attribute

#### formula = CompartmentVolumeRule_getFormula(SBMLCompartmentVolumeRule)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure

Returns

1. the value of the formula attribute

#### type = CompartmentVolumeRule_getType(SBMLCompartmentVolumeRule)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure

Returns

1. the value of the type attribute

#### value = CompartmentVolumeRule_isSetCompartment(SBMLCompartmentVolumeRule)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure

Returns

1. value =
   - 1 if the compartment attribute is set
   - 0 otherwise

#### value = CompartmentVolumeRule_isSetFormula(SBMLCompartmentVolumeRule)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure

Returns

1. value =
   - 1 if the formula attribute is set
   - 0 otherwise

#### value = CompartmentVolumeRule_isSetType(SBMLCompartmentVolumeRule)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure

Returns

1. value =
   - 1 if the type attribute is set
   - 0 otherwise

#### SBMLCompartmentVolumeRule = CompartmentVolumeRule_setCompartment(SBMLCompartmentVolumeRule, compartment)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure
2. compartment; a string representing the compartment to be set

Returns

1. the SBML CompartmentVolumeRule structure with the new value for the compartment attribute

#### SBMLCompartmentVolumeRule = CompartmentVolumeRule_setFormula(SBMLCompartmentVolumeRule, formula)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure
2. formula; a string representing the formula to be set

Returns

1. the SBML CompartmentVolumeRule structure with the new value for the formula attribute

#### SBMLCompartmentVolumeRule = CompartmentVolumeRule_setType(SBMLCompartmentVolumeRule, type)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure
2. type; a string representing the type to be set

Returns

1. the SBML CompartmentVolumeRule structure with the new value for the type attribute

#### SBMLCompartmentVolumeRule = CompartmentVolumeRule_unsetCompartment(SBMLCompartmentVolumeRule)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure

Returns

1. the SBML CompartmentVolumeRule structure with the compartment attribute unset

#### SBMLCompartmentVolumeRule = CompartmentVolumeRule_unsetFormula(SBMLCompartmentVolumeRule)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure

Returns

1. the SBML CompartmentVolumeRule structure with the formula attribute unset

#### SBMLCompartmentVolumeRule = CompartmentVolumeRule_unsetType(SBMLCompartmentVolumeRule)

Takes

1. SBMLCompartmentVolumeRule, an SBML CompartmentVolumeRule structure

Returns

1. the SBML CompartmentVolumeRule structure with the type attribute unset